Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Enum Class WireCrypt

java.lang.Object
java.lang.Enum<WireCrypt>
org.firebirdsql.gds.ng.WireCrypt

All Implemented Interfaces:
  `Serializable`, `Comparable<WireCrypt>`, `Constable`

public enum WireCrypt extends Enum<WireCrypt>

Author:
  Mark Rotteveel

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT`
Equivalent to `ENABLED` for wire protocol, but for JNA connections it uses the default of the `firebird.conf` used by the client library.
`DISABLED`
`ENABLED`
`REQUIRED`

## Method Summary

Modifier and Type
Method
Description
`static WireCrypt`
`fromString(String name)`
Get the enum value for the provided name, case-insensitive.
`int`
`getWireProtocolCryptLevel()`
`static WireCrypt`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WireCrypt[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### REQUIRED

public static final WireCrypt REQUIRED

### ENABLED

public static final WireCrypt ENABLED

### DISABLED

public static final WireCrypt DISABLED

### DEFAULT

public static final WireCrypt DEFAULT
Equivalent to `ENABLED` for wire protocol, but for JNA connections it uses the default of the `firebird.conf` used by the client library.

## Method Details

### values

public static WireCrypt[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static WireCrypt valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getWireProtocolCryptLevel

public int getWireProtocolCryptLevel()

Returns:
  Encryption level value for the wire protocol.

### fromString

public static WireCrypt fromString(String name) throws IllegalArgumentException
Get the enum value for the provided name, case-insensitive.

Works like `valueOf(String)`, except `null` will return `DEFAULT` and values are handled case-insensitively.

Parameters:
  `name` - String name
Returns:
  Enum name for the name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name